Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## serp.util
Class LRUMap

    java.lang.Object
      |
      +--serp.util.LRUMap

All Implemented Interfaces:
  Map, SortedMap

Deprecated. Use the Jakarta project's Commons Collections module.

public class LRUMap
extends Object
implements SortedMap

Map that keeps items in order from most to least recently used. Performance is similar to that of a `HashMap`.

Operations on the map's entry and key sets do not affect ordering.

This implementation is not synchronized.

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`LRUMap()` Deprecated.
`LRUMap(int initialCapacity)` Deprecated.
`LRUMap(int initialCapacity, float loadFactor)` Deprecated.

Method Summary
`void` | `clear()` Deprecated.
`Comparator` | `comparator()` Deprecated.
`boolean` | `containsKey(Object key)` Deprecated.
`boolean` | `containsValue(Object value)` Deprecated.
`Set` | `entrySet()` Deprecated.
`boolean` | `equals(Object other)` Deprecated.
`Object` | `firstKey()` Deprecated.
`Object` | `get(Object key)` Deprecated.
`int` | `hashCode()` Deprecated.
`SortedMap` | `headMap(Object toKey)` Deprecated. Not supported.
`boolean` | `isEmpty()` Deprecated.
`Set` | `keySet()` Deprecated.
`Object` | `lastKey()` Deprecated.
`Object` | `put(Object key, Object value)` Deprecated.
`void` | `putAll(Map map)` Deprecated.
`Object` | `remove(Object key)` Deprecated.
`int` | `size()` Deprecated.
`SortedMap` | `subMap(Object fromKey, Object toKey)` Deprecated. Not supported.
`SortedMap` | `tailMap(Object toKey)` Deprecated. Not supported.
`String` | `toString()` Deprecated.
`Collection` | `values()` Deprecated.

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LRUMap

    public LRUMap()

  Deprecated.

### LRUMap

    public LRUMap(int initialCapacity)

  Deprecated.

### LRUMap

    public LRUMap(int initialCapacity,
                  float loadFactor)

  Deprecated.

Method Detail

### comparator

    public Comparator comparator()

  Deprecated.
  Specified by:
    `comparator` in interface `SortedMap`

### firstKey

    public Object firstKey()

  Deprecated.
  Specified by:
    `firstKey` in interface `SortedMap`

### lastKey

    public Object lastKey()

  Deprecated.
  Specified by:
    `lastKey` in interface `SortedMap`

### headMap

    public SortedMap headMap(Object toKey)

  Deprecated.
  Not supported.
  Specified by:
    `headMap` in interface `SortedMap`

### tailMap

    public SortedMap tailMap(Object toKey)

  Deprecated.
  Not supported.
  Specified by:
    `tailMap` in interface `SortedMap`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Deprecated.
  Not supported.
  Specified by:
    `subMap` in interface `SortedMap`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Deprecated.
  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Deprecated.
  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Deprecated.
  Specified by:
    `entrySet` in interface `Map`

### equals

    public boolean equals(Object other)

  Deprecated.
  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `Object`

### get

    public Object get(Object key)

  Deprecated.
  Specified by:
    `get` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Deprecated.
  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Deprecated.
  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map map)

  Deprecated.
  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Deprecated.
  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Deprecated.
  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Deprecated.
  Specified by:
    `values` in interface `Map`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.